package com.fastest.pass.forgotpassword.domain.usecase

import android.util.Log
import com.fastest.pass.app.BaseUseCase
import com.fastest.pass.app.WebResponse
import com.fastest.pass.forgotpassword.data.model.ForgotPasswordRequest
import com.fastest.pass.forgotpassword.domain.repository.ForgotPasswordRepository
import java.util.Objects
import javax.inject.Inject

class ForgotPasswordUseCase @Inject constructor(
    private val forgotPasswordRepository: ForgotPasswordRepository
) : BaseUseCase<ForgotPasswordRequest, WebResponse<Objects>>(){

    override suspend fun execute(params: ForgotPasswordRequest): WebResponse<Objects> {
        Log.d("forgotPasswordResponse", "params = ${params.email}")
        return forgotPasswordRepository.forgotPasswordRepository(params)
    }
}